Add currency (JSON)

The endpoint allows you to add new currencies to an existing Virtual Account. This may be required when a Virtual Account was originally created with only a subset of the available Master Account currencies or additional Master Account currencies have since been added to your company.

You can also use the endpoint if you have companies in multiple regional entities with Master Account currencies that you want linked to a Virtual Account.

Use Cases

The endpoint supports two primary scenarios:

  1. Add new currencies to an existing regional entity
    You can link additional Master Account currencies from the same company.
  • Provide the Master Account numbers to be linked in the currencyAccounts array.
  • Use the companyNumber of the company under which the Virtual Account currently exists.
  • If one of the new currencies should become the default currency of the Virtual Account, provide the defaultCurrencyAccount property with the new Master Account number.
  1. Add new currencies for a new regional entity
    If your Virtual Account does not yet have a regional entity for a given company, you can create one by linking Master Account currencies from that company.
  • Provide the companyNumber of the new regional entity.
  • Specify the Master Account numbers in the currencyAccounts array.
  • If you provide only one Master Account currency, it will automatically become the default currency for that regional entity.
  • If you provide multiple Master Account currencies, one of them must also be included in the defaultCurrencyAccount property.

Requirements

  • A Virtual Account can only have one open Master Account link per currency. A request with an already linked and open currency will return an error.
  • The Virtual Accounts being modified must have status active

After a successful request you can use the response property requestId in the GET Modification status Modification status endpoint to check the modification status.

Body Params
items
array of objects | null
items
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Choose an example:
application/json